Subject: Re: Re: Cygwin portable bash
From: Andy Holt <[email-masked]>
To: Morten Kjærulff <[email-masked]>
Cc: [email-masked]
Date: Thu, 24 Sep 2009 11:03:23 -0500
List-Id: <cygwin.cygwin.com>

I'm in a similar situation with about 10 different machines, some of 
which come and go very quickly. I rarely use more than one computer at a 
time, as most of them are in remote installations and not accessible 
physically. In order to save time installing cygwin and other software, 
my goal was to use dropbox (and where dropbox won't work I use unison 
between a few servers to extend the reach) to keep all the files (home 
dir and binaries etc) synchronized.

The folder sizes and number of files are the same, laptop has 
924,298,616 bytes and 47,538 files in 2,821 folders. desktop machine has 
924,928,616 bytes and 47,538 files in 2,821 folders. Exact same.

I wonder if it has something to do with /etc/passwd? The passwd file 
mentions user Andy and has "Andy-Laptop" in the name. See the file 
attached. When I run cygwin on the other machine it starts bash, but 
seemingly I don't have any permissions or am not an actual user. So I 
can't run adduser, su, ls, any commands. Nothing works. Is there a way 
to specify who to 'login' as to bash?

Morten Kjærulff wrote:
> Hi,
>
> If you have a cygwin application running on machine A and update the
> installation on machine B, you might run into problems when dropbox
> tries to copy the files to machine A. I did almost the same with
> Windows Live Mesh. Now I am only synchronizing my home directory.
>
> Cheers,
> Morten
>
> On Thu, Sep 24, 2009 at 2:21 PM, J. David Boyd
> <[email-masked]> wrote:
>   
>> Andy Holt <[email-masked]> writes:
>>
>>     
>>> Hey everyone,
>>>
>>> I installed cygwin on my laptop (domain andy-laptop), and it works
>>> great from here. I installed in a special folder ("My Dropbox") which
>>> uses the free dropbox service online to synchronize the folder accross
>>> multiple machines (my other machine is andy-desktop). On the desktop
>>> machine (also username Andy), I can run cmd and CD to the cygwin
>>> directory, I can go into the /bin directory and run most of the
>>> programs just fine for some simple stuff, but it won't load bash
>>> correctly.
>>>
>>> When I installed cygwin on the laptop, I chose to install only for the
>>> single user (not the whole machine) and tried to make it avoid any
>>> registry tampering.
>>>
>>> So basically I think I need to figure out how to run bash as the andy
>>> from andy-laptop on andy-desktop... Or something? I can't figure this
>>> out and most of the stuff I've read online isn't helping and has to do
>>> with bash scripting instead of running bash as a user on a different
>>> domain or something. I'm just kind of confused where to go.
>>>
>>> I appreciate any help you can offer, thanks a bunch,
>>> -Andy
>>>       
>> Have you checked the simple things first?  Did all the cygwin files get
>> copied over?  Check file sizes on the directories, and see if you really
>> have everything.
>>
>> You might try installing cygwin onto your laptop and desktop first, then
>> synchronizing them, or maybe only synchronizing your home directory, and
>> manually keeping the rest updated.
>>
>> My 2 cents...
>>
>> I have cygwin running on, oh, about 6 machines, and all I really keep
>> synchronized is my home directory.  That way I can run emacs gnus
>> anywhere, or check emacs erc, or whatever, and be happy.
>>
>> Dave
>>
>>
>> --
>> Problem reports:       http://cygwin.com/problems.html
>> FAQ:                   http://cygwin.com/faq/
>> Documentation:         http://cygwin.com/docs.html
>> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>>
>>
>>     
SYSTEM:*:18:544:,S-1-5-18::
LocalService:*:19:544:U-NT AUTHORITY\LocalService,S-1-5-19::
NetworkService:*:20:544:U-NT AUTHORITY\NetworkService,S-1-5-20::
Administrators:*:544:544:,S-1-5-32-544::
Administrator:unused_by_nt/2000/xp:500:513:U-Andy-Laptop\Administrator,S-1-5-21-2512254127-1346553493-2976963698-500:/home/Administrator:/bin/bash
Andy:unused_by_nt/2000/xp:1000:513:U-Andy-Laptop\Andy,S-1-5-21-2512254127-1346553493-2976963698-1000:/home/Andy:/bin/bash
Guest:unused_by_nt/2000/xp:501:513:U-Andy-Laptop\Guest,S-1-5-21-2512254127-1346553493-2976963698-501:/home/Guest:/bin/bash
Lauren:unused_by_nt/2000/xp:1001:513:Lauren,U-Andy-Laptop\Lauren,S-1-5-21-2512254127-1346553493-2976963698-1001:/home/Lauren:/bin/bash

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple